Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1728768 - Update puppet agent to last 7.x.x release
Summary: Update puppet agent to last 7.x.x release
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: puppet
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Breno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-10 16:07 UTC by Alfredo Moralejo
Modified: 2021-07-09 17:32 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-08 21:44:15 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Alfredo Moralejo 2019-07-10 16:07:21 UTC
Description of problem:

puppet agent 6.0.0 was released in September 2018 and it's now 6.6 so i think it could be a good time to get it in Fedora?

According to puppet lifecycle, puppet-5.5 will be maintained until may-2020 while fedora31 will be " until 1 month after the release of Fedora 33" which is long after may-2020 so i'd say updating to puppet-6 would be good in FC31.

Comment 1 Ben Cotton 2019-08-13 17:04:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 19:03:56 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Alan Pevec 2019-08-27 13:20:59 UTC
Puppet maintainers in Fedora, what do you think about this upgrade?

Comment 4 Ewoud Kohl van Wijngaarden 2020-02-22 14:47:22 UTC
Given the lack of response, is it time for a new maintainer or at least new co-maintainers per https://docs.fedoraproject.org/en-US/fesco/Policy_for_nonresponsive_package_maintainers/

Comment 5 Terje Røsten 2020-07-12 15:11:14 UTC
hi!

There is some work going on to update package to puppet 6.x, see e.g.

 https://bugzilla.redhat.com/show_bug.cgi?id=1815115

Comment 6 Ewoud Kohl van Wijngaarden 2020-10-18 19:16:45 UTC
Puppet 5 will go EOL in November (next month) and Fedora 33 isn't updated yet but I noticed the version in EPEL8 was updated. Can we get this into Fedora too? I would be interesting in maintaining it and needed dependencies.

Comment 7 Breno 2020-11-02 16:23:44 UTC
I will have a look on having puppet 6 on fedora.
I am worried a little bit about backwards compatibility. But let's see.

Comment 8 Lucien Weller 2020-11-02 20:12:00 UTC
I may help achieving the packaging of pupppet 6 for fedora, even I have by now not so much experience in fedora packaging. Let me just now if I can do something to support you.

Comment 9 Breno 2020-11-02 21:31:47 UTC
Hey Lucien, sure, that will be helpful.
I packaged puppet 6 for EPEL 8.
I believe that it won't be a lot different, right?
I will reach out by email.

Comment 10 Ewoud Kohl van Wijngaarden 2020-11-03 11:56:40 UTC
I'd also be interested in helping. Currently not a Fedora packager, but I have a decent experience with RPM packaging. Locally I built the EPEL 8 code for Fedora 33 and that appeared to work, at least for my use case of validating the syntax in vim.

Comment 11 Ben Cotton 2020-11-03 15:19:45 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Breno 2021-03-09 15:03:25 UTC
fyi

puppet still doesn't support ruby 3. 
So we need to wait for the upstream, first [1, 2].

1 https://tickets.puppetlabs.com/browse/PUP-9696
2 https://tickets.puppetlabs.com/browse/PUP-10247

Comment 14 Fedora Admin user for bugzilla script actions 2021-05-07 01:48:36 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 15 Fedora Admin user for bugzilla script actions 2021-05-11 12:20:42 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 16 Alan Pevec 2021-05-12 08:26:47 UTC
(In reply to Breno from comment #12)
> puppet still doesn't support ruby 3. 
> So we need to wait for the upstream, first [1, 2].
> 
> 1 https://tickets.puppetlabs.com/browse/PUP-9696
> 2 https://tickets.puppetlabs.com/browse/PUP-10247

there are WIP PRs which could be included as patches in Fedora RPM
https://github.com/puppetlabs/puppet/pull/8589

Comment 18 Breno 2021-05-17 12:51:20 UTC
Yes, at the moment puppet is still not compatible with ruby 3.
They are working on this [1]. As soon as it's fixed, we can have puppet 7 in Fedora.

1 https://tickets.puppetlabs.com/browse/PUP-10957

Comment 19 Breno 2021-07-08 21:44:15 UTC
We've just pushed puppet to puppet 7 in fedora rawhide (f35) https://bodhi.fedoraproject.org/updates/FEDORA-2021-975952ea32.

Thanks.

Comment 20 Alfredo Moralejo 2021-07-09 07:15:50 UTC
Accordint to puppetlabs release notes in https://puppet.com/docs/puppet/7/release_notes_puppet.html , version 7.8.0 added support for ruby 3 but latest in rawhide is 7.7.0.

Comment 21 Ewoud Kohl van Wijngaarden 2021-07-09 10:05:52 UTC
By now we can update to 7.8.0 since it's on https://downloads.puppet.com/puppet/ but it wasn't when we did most of the work to update. Should be a fairly trivial bump now.

As for Ruby 3 support: the real patches landed in 7.7.0. The only one that's related is in Gemfile, but that's irrelevant for RPMs. And back then Puppet didn't test it with CI which is a good reason to not formally declare support.

Comment 22 Breno 2021-07-09 15:42:38 UTC
Yes, thanks for replying Ewoud.

@Alfredo, please read the whole ticket, all the information you wanted is here.

Comment 23 Alfredo Moralejo 2021-07-09 16:04:38 UTC
Thanks for the information.

Reading the info in puppetlabs tickets i found:

https://github.com/puppetlabs/puppet/pull/8613/commits/22a0fb328e409150c9a370824a46d514953aabdb 

Which seems to be included in 7.8.0.

My understanding was that this PR is needed for ruby3 as it's under https://tickets.puppetlabs.com/browse/PUP-11071 but it may be just optional.

Comment 24 Ewoud Kohl van Wijngaarden 2021-07-09 17:32:38 UTC
Thanks for looking into that. I missed that when I scanned through the git log (https://github.com/puppetlabs/puppet/compare/7.7.0...7.8.0). There's no reason not to update Rawhide to 7.8.0, other than that someone should submit the PR.


Note You need to log in before you can comment on or make changes to this bug.